<?php

namespace AutoAdmin\Bundle\Content\Duplicator;

use AutoAdmin\Bundle\Content\Model\TitleInterface;

//TODO: delete, interface does not declare setter
class TitleDuplicator extends AbstractDuplicator
{
    /**
     * @return string[]
     */
    public function supportInterfaces(): array
    {
        return [
            TitleInterface::class
        ];
    }

    /**
     * @param TitleInterface $entity
     * @param TitleInterface $duplicate
     *
     * @return TitleInterface
     */
    public function duplicate(object $entity, object $duplicate, ?object $parent = null): object
    {
        //$duplicate->setTitle($entity->getTitle());

        return $duplicate;
    }
}
